- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::out Struct Reference

## Public Member Functions
| out (Eo *eo)
| Eo Constructor. More...
| out (std::nullptr_t)
| nullptr_t Constructor. More...
| out (efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Call the object's constructor. More...
| out (out const &other)
| Copy Constructor.
void | view_get (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
| Gets the viewport region of the canvas that the output displays. More...
void | view_set (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_) const
| Sets the viewport region of the canvas that the output displays This sets both the viewport region in the canvas that displays on the given output, but also the viewport size will match the output resolution 1:1. More...
Evas_Engine_Info * | engine_info_get () const
| Gets the engine specific output parameters for a given output. More...
bool | engine_info_set (Evas_Engine_Info *info_) const
| Sets the engine specific output parameters for a given output. More...
Public Member Functions inherited from efl::eo::base
| base (Eo *eo)
| Class constructor. More...
| ~base ()
| Class destructor.
| base (base const &other)
| base (base &&other)
base & | operator= (base const &other)
| Assignment operator.
base & | operator= (base &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this wrapper object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (base parent)
| Set the parent of this object. More...
eina::optional< base > | parent_get ()
| Get the parent of this object. More...
void | base_data_set (const char *key, const void *data,::eo_key_data_free_func func)
| Set generic data to object. More...
void * | base_data_get (const char *key)
| Get generic data from object. More...
void | base_data_del (const char *key)
| Delete generic data from object. More...
void | event_freeze ()
| Freeze any event directed to this object. More...
void | event_thaw ()
| Thaw the events of this object. More...
int | event_freeze_get ()
| Get the event freeze count for this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::base
Eo * | _eo_raw
| The opaque EO Object.

## Constructor & Destructor Documentation

evas::out::out | ( | Eo * | eo | ) |
| inline explicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::out::out | ( | std::nullptr_t |  | ) |
| inline explicit

nullptr_t Constructor.

Constructs an empty (null) object.

evas::out::out | ( | efl::eo::parent_type | _p = `(efl::eo::parent = nullptr)` | ) |
| inline

Call the object's constructor.

Should not be used with #eo_do. Only use it with #eo_do_super.

## Member Function Documentation

void evas::out::view_get | ( | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const
| inline

Gets the viewport region of the canvas that the output displays.

Parameters

  x |
  y |
  w |
  h |

References efl::eo::base::_eo_ptr().

void evas::out::view_set | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | Evas_Coord | w_,
|  | Evas_Coord | h_
| ) |  | const
| inline

Sets the viewport region of the canvas that the output displays This sets both the viewport region in the canvas that displays on the given output, but also the viewport size will match the output resolution 1:1.

Parameters

  x |
  y |
  w |
  h |

References efl::eo::base::_eo_ptr().

Evas_Engine_Info* evas::out::engine_info_get | ( |  | ) | const
| inline

Gets the engine specific output parameters for a given output.

Parameters

  info | The engine parameters

References efl::eo::base::_eo_ptr().

bool evas::out::engine_info_set | ( | Evas_Engine_Info * | info_ | ) | const
| inline

Sets the engine specific output parameters for a given output.

Parameters

  info | The engine parameters

References efl::eo::base::_eo_ptr().